> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/chainstack-platform-api-create-project",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Create a project with the Chainstack Platform API

> Create a new project to organize your blockchain networks and nodes on Chainstack. Send a POST request to /v1/projects/ with the project details.



## OpenAPI

````yaml post /v1/projects/
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v1
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v1/projects/:
    post:
      tags:
        - Project
      summary: Create Project
      description: Create a project.
      operationId: createProject
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectCreate'
            examples:
              public chain:
                $ref: '#/components/examples/PublicProjectCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
              examples:
                public chain:
                  $ref: '#/components/examples/PublicProject'
          description: ''
        '400':
          $ref: '#/components/responses/ValidationError'
      security:
        - APIKeyAuthentication: []
components:
  schemas:
    ProjectCreate:
      allOf:
        - $ref: '#/components/schemas/BaseProject'
        - type: object
          required:
            - name
    Project:
      allOf:
        - $ref: '#/components/schemas/BaseProject'
    BaseProject:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          description: Name of the project.
        description:
          type: string
          description: Description of the project.
        type:
          allOf:
            - $ref: '#/components/schemas/ProjectTypeEnum'
          default: public
        members:
          type: integer
          readOnly: true
          description: |
            Number of members invited to the consortium project.
            <br>Only for the `consortium` project.
        networks:
          type: integer
          readOnly: true
          description: Number of networks created in the project.
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          readOnly: true
          description: Creator of the project.
        created_at:
          allOf:
            - $ref: '#/components/schemas/CreatedAt'
          description: When the project was created.
    ProjectTypeEnum:
      type: string
      description: |
        Type of the project.
        <br>
        * `public` for public chain project
      enum:
        - public
    Creator:
      type: object
      description: Creator of the object.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        organization:
          allOf:
            - $ref: '#/components/schemas/Object'
          description: Creator's organization.
    CreatedAt:
      type: string
      format: date-time
      readOnly: true
      description: When the object was created.
    Object:
      type: object
      description: Common object representation.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
  examples:
    PublicProjectCreate:
      value:
        name: My public chain project
        description: My public chain project description
        type: public
    PublicProject:
      value:
        id: PR-123-456
        name: My public chain project
        type: public
        networks: 0
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
  responses:
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
                  fields:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    description: Optional. Field-level validation errors.
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````